
Redmine - Patch #5342

Add tracker information to projects in REST API

2010-04-17 20:37 - Arkaitz Jimenez

Status: Closed Start date: 2010-04-17

Priority: Normal Due date: 2013-03-24

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Description

Found that it would be a good thing to have projects tracker information when asking for projects.xml.

Maybe its not the best place to put that info.

Anyway, take a look at the attached patch.

Associated revisions

Revision 3730 - 2010-05-01 16:21 - Jean-Philippe Lang

Adds trackers to individual project XML (#5342).

History

#1 - 2010-12-04 00:33 - Alex Last

I need available issue types for a specific project. can't create various issue types through REST API without that info.

#2 - 2013-03-17 16:34 - Ivan Cenov

See http://www.redmine.org/projects/redmine/wiki/Rest_Projects

GET /projects/12.xml

GET /projects/12.xml?include=trackers

GET /projects/12.xml?include=trackers,issue_categories

GET /projects/redmine.xml

#3 - 2013-03-17 16:56 - Daniel Felix

- Due date set to 2013-03-24

- Status changed from New to Needs feedback

This seems to be done.

Please give some feedback if this issue isn't close able. Otherwise I will close this issue next Sunday.

Best regards,

Daniel

#4 - 2013-03-17 23:50 - Alex Last

yes, this is done. thank you.

#5 - 2013-03-18 04:21 - Mischa The Evil

- Status changed from Needs feedback to Closed

Thanks for the feedback.

Files

app_views_projects_index.xml.builder.patch 1.97 KB 2010-04-17 Arkaitz Jimenez
